首页 -> 安全研究

安全研究

安全漏洞
OSIsoft PI OPC DA接口远程栈缓冲区溢出漏洞

发布日期:2012-07-19
更新日期:2012-07-23

受影响系统:
osisoft PI OPC DA Interface < 2.3.20.9
描述:
BUGTRAQ  ID: 54609
CVE ID: CVE-2012-3008

PI OPC DA Interface可用于在OPC服务器和PI系统中传输数据。

OSIsoft PI OPC DA Interface 2.3.20.9之前版本没有正确验证OPC输入消息即执行了其他处理,在实现上存在栈缓冲区溢出漏洞,通过在处理OPC项目关联的消息时发送报文数据,可允许远程已验证用户释放内存地址,从而造成崩溃或在受影响应用中执行任意代码。

<*来源:OSIsoft
  
  链接:http://www.us-cert.gov/control_systems/pdf/ICSA-12-201-01.pdf
*>

建议:
厂商补丁:

osisoft
-------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://techsupport.osisoft.com/Products/

浏览次数:2238
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障